Bug 53679 - Constant Throughput Timer bug with localization
Constant Throughput Timer bug with localization
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.7
All All
: P2 major with 1 vote (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-08-08 09:57 UTC by Ludovic Garcia
Modified: 2013-08-16 14:02 UTC (History)
2 users (show)



Attachments
How to reproduce Bug (358.80 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2012-08-08 09:57 UTC, Ludovic Garcia
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ludovic Garcia 2012-08-08 09:57:21 UTC
Created attachment 29186 [details]
How to reproduce Bug

I'm using Apache Jmeter 2.7, and as my system language is French, Jmeter set the language to French but if I designed my test plan in English, the value for "Calculate Throughput based on " changes when switching between French and English.

The attachment describe this bug, and the "workaround" I use.
Comment 1 Philippe Mouawad 2012-08-20 07:42:12 UTC
Same issue affects:
- CSV Data Set Config (but as NOT_OTHER is set to false, selected value stays in english as an additional one)
Comment 2 Philippe Mouawad 2012-08-20 08:17:06 UTC
A simple fix would be not to translate values in ComboStringEditor but this would imply breaking existing test plan made in other languages as English which would get default value of TAGS.
If there wasn't the break, this option would not hurt me as:
- in component reference, translated values are not explained.
- in code matching value of Test Bean property from label is not great and is currently identified in code as so by comment : "TODO need to find better way to do this"

A more complex fix would be to introduce a more complex ComboEditor which takes id,label. Test Bean would use id and this would solve this issue. But what about compatibility ? can it be handled ? is it worth ?
Comment 3 Antonio Gomes Rodrigues 2013-04-03 09:29:51 UTC
Hi,

It will be great to put a link to this issue in the documentation of JMeter (I have waste 2 days with this bug before to see this issue).
There are another problems in the documentation (not up to date) and if I can have a login to modify it, I will do it. Instead I will open issues
Comment 4 Philippe Mouawad 2013-04-03 12:37:12 UTC
Hello Antonio,
There is a mention of this bug here:
- http://jmeter.apache.org/changes.html

Known bugs section
 Changing language can break part of the configuration of the following elements (see Bug 53679 ):

    CSV Data Set Config (sharing mode will be lost)
    Constant Throughput Timer (Calculate throughput based on will be lost)

Maybe it's not visible enough
Comment 5 Antonio Gomes Rodrigues 2013-04-08 12:30:10 UTC
Hi Philippe,

I have seen it but I think it will be better to add it in "component reference" to have it with JMeter help button

Antonio
Comment 6 Philippe Mouawad 2013-06-30 13:08:07 UTC
Date: Sun Jun 30 13:06:53 2013
New Revision: 1498113

URL: http://svn.apache.org/r1498113
Log:
Bug 53679 - Constant Throughput Timer bug with localization
Added mention on  elements impacted by this bug in documentation
Bugzilla Id: 53679

Modified:
    jmeter/trunk/xdocs/usermanual/component_reference.xml
Comment 7 Sebb 2013-08-14 14:20:39 UTC
There are at least two ways to fix this:

* use the property name rather than the translated value in the JMX file
* use a number (or enum) for the mode, and translate from the mode as needed

Whichever approach is taken, care needs to be taken that existing test plans are still handled correctly.
Comment 8 Sebb 2013-08-16 13:41:21 UTC
See Bug 55432 for tracking changes to CSV Data Set.
Comment 9 Sebb 2013-08-16 14:02:46 UTC
Fixed Constant Throughput Timer.

Bug 55432 will track CSV Dataset fixes.

URL: http://svn.apache.org/r1514714
Log:
Constant Throughput Timer bug with localization
Bugzilla Id: 53679

Added:
    jmeter/trunk/bin/testfiles/GenTest27_original.jmx   (with props)
Modified:
    jmeter/trunk/bin/testfiles/GenTest210.jmx
    jmeter/trunk/bin/testfiles/GenTest27.jmx
    jmeter/trunk/bin/testfiles/GuiTest231.jmx
    jmeter/trunk/src/components/org/apache/jmeter/timers/ConstantThroughputTimer.java
    jmeter/trunk/src/components/org/apache/jmeter/timers/ConstantThroughputTimerBeanInfo.java
    jmeter/trunk/test/src/org/apache/jmeter/save/TestSaveService.java
    jmeter/trunk/test/src/org/apache/jmeter/timers/PackageTest.java
    jmeter/trunk/xdocs/changes.xml
    jmeter/trunk/xdocs/usermanual/component_reference.xml